#
# spec file for package browserpass-native
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           browserpass-native
Version:        3.1.0
Release:        1.6
Summary:        Native application for the browserpass browser extension
License:        ISC
URL:            https://github.com/browserpass/browserpass-native
Source:         https://github.com/browserpass/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.14
ExcludeArch:    ppc64
Recommends:     password-store

%description
This is a host application for browserpass browser extension providing it
access to your password store. The communication is handled through Native
Messaging API.

%prep
%setup -qa1

%build
export GOFLAGS="-mod=vendor"
%make_build browserpass

%check
export GOFLAGS=-mod=vendor
make test

%install
make configure
%make_install

rm -rf %{buildroot}/usr/share/{doc,licenses}

%files
%license LICENSE
%doc README.md
%{_bindir}/browserpass
%{_prefix}/lib/browserpass

%changelog
* Sun Mar  5 2023 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.1.0
  * Implement add/edit/delete password functionality
    (pending new browser extension release)
    (gh#browserpass/browserpass-native#99,
    gh#browserpass/browserpass-native#129)
  * Add Edge browser support (gh#browserpass/browserpass-native#122,
    gh#browserpass/browserpass-native#130)
  * Add Yandex browser (gh#browserpass/browserpass-native#133)
- Update vendor.tar.gz
* Sat Aug  6 2022 Matej Cepl <mcepl@suse.com>
- Update to 3.0.10:
  - No functional changes
  - Explicitly use cgo-free function to get user's home dir (was
    already the case since 3.0.9 if your browserpass was compiled
    without cgo as per our Makefile)
* Tue Mar  1 2022 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 3.0.9
  * No functional changes
  * Compile without cgo to remove libc dependency
* Tue Feb  8 2022 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 3.0.8
  * Added make target for librewolf
- Exclude ppc64, build fails due to pie not being supported
* Sat Aug 29 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Fix %%{_libexecdir} misuse
* Fri Jul 10 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.0.7
  * Updated dependencies
  * Lots of small documentation updates
- Use go >= 1.14 like upstream
* Fri Oct  4 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid double %%setup.
* Mon Sep 30 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Initial build for browserpass-native 3.0.6
